<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netstandard2.0</TargetFramework>
    <AssemblyName>Monosoft.Email.Application</AssemblyName>
    <RootNamespace>Monosoft.Email.Application</RootNamespace>
    <GeneratePackageOnBuild>true</GeneratePackageOnBuild>
    <PackageRequireLicenseAcceptance>true</PackageRequireLicenseAcceptance>
    <Authors>Mikael Haumand Sørensen</Authors>
    <Company>Monosoft</Company>
    <Product>Monosoft.Email</Product>
    <PackageLicenseFile>LICENSE</PackageLicenseFile>
    <PackageProjectUrl>https://gitlab.com/monosoft/libraries/opensource/monosoft.email.git</PackageProjectUrl>
    <RepositoryUrl>https://gitlab.com/monosoft/libraries/opensource/monosoft.email.git</RepositoryUrl>
    <RepositoryType>gitlab</RepositoryType>
    <PackageTags>Monosoft, Email</PackageTags>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <Optimize>false</Optimize>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <Optimize>false</Optimize>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="3.1.8" />
    <PackageReference Include="Monosoft.Common" Version="4.0.0-preview" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Domain\Domain.csproj" />
  </ItemGroup>

  <ItemGroup>
    <None Include="..\..\..\..\test\Monosoft.Zip2City\LICENSE">
      <Pack>True</Pack>
      <PackagePath></PackagePath>
    </None>
  </ItemGroup>

</Project>
